ros-lyrical-ament-cmake-cppcheck (0.20.5-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 23 Apr 2026 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.20.4-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 08 Apr 2026 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.20.3-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Nov 2025 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.20.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 30 Jul 2025 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.20.1-4resolute) resolute; urgency=high

  * Fix cmake deprecation (#539 <https://github.com/ament/ament_lint/issues/539>)
  * Contributors: mosfet80

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.20.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.19.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.19.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 02 Feb 2025 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.19.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 20 Nov 2024 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.18.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.18.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.17.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.16.4-4resolute) resolute; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.16.3-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Feb 2024 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.16.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 Dec 2023 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.16.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 Nov 2023 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.16.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Oct 2023 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.15.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Jul 2023 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.15.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.15.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 27 Apr 2023 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.14.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.14.0-4resolute) resolute; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Feb 2023 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.13.2-4resolute) resolute; urgency=high

  * [ament_lint_auto] General file exclusion with AMENT_LINT_AUTO_FILE_EXCLUDE (#386 <https://github.com/ament/ament_lint/issues/386>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: Abrar Rahman Protyasha, methylDragon

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.13.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 09 May 2022 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.13.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Apr 2022 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.12.3-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 08 Apr 2022 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.12.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Mar 2022 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.12.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Mar 2022 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.12.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 18 Feb 2022 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.11.4-4resolute) resolute; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 14 Jan 2022 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.11.3-4resolute) resolute; urgency=high

  * [ament_cmake_cppcheck] Fix file exclusion behavior (#329 <https://github.com/ament/ament_lint/issues/329>)
    The EXCLUDE argument of the ament_cppcheck CMake function is
    a list, i.e. a multi-value keyword. As such, it needs to be placed
    out of the one-value keywords from the cmake_parse_arguments
    function call.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add cppcheck libraries option (#323 <https://github.com/ament/ament_lint/issues/323>)
    * adding ament_cppcheck libraries option
    * pass libraries option via CMake
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Will

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 14 Jan 2022 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.11.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 18 Jun 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.11.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 18 Jun 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.11.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 18 Jun 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.6-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 06 May 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.5-4resolute) resolute; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Apr 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.4-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 18 Mar 2021 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.3-4resolute) resolute; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 03 Mar 2021 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.2-4resolute) resolute; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 12 Feb 2021 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.1-4resolute) resolute; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 25 Jan 2021 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.10.0-4resolute) resolute; urgency=high

  * Increase the ament_cppcheck timeout to 5 minutes. (#271 <https://github.com/ament/ament_lint/issues/271>)
    This will avoid timeouts on some slower platforms that we've
    started to see.
  * parse LANGUAGE argument case insensitive (#255 <https://github.com/ament/ament_lint/issues/255>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 18 Sep 2020 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.9.4-4resolute) resolute; urgency=high

  * Allow to configure language in cppcheck with a global var (#239 <https://github.com/ament/ament_lint/issues/239>)
    * Allow to configure language in cppcheck with a global var
    * Added feedback
    * added feedback
    * added feedback
    * Added feedback
    * Fixed cpplint
    * Print language message if it's not empty
    * fixed language message
    * Improved comment
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 May 2020 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.9.3-4resolute) resolute; urgency=high

  * Fix lint_cmake errors (#245 <https://github.com/ament/ament_lint/issues/245>)
  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.9.2-4resolute) resolute; urgency=high

  * Increase timeout for cppcheck runs. (#229 <https://github.com/ament/ament_lint/issues/229>)
    On some platforms the cppcheck for the test_rclcpp package is hitting
    the timeout. Bumping the timeout on those platforms shows that the build
    takes about 130 seconds. So 180 should be sufficient room to grow
    without raising it too high.
  * Contributors: Steven! Ragnarök

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 08 May 2020 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.9.1-4resolute) resolute; urgency=high

  * 0.9.0
  * Behave better in multi-project cmake (#198 <https://github.com/ament/ament_lint/issues/198>)
    If a sub-project uses ament_lint, don't apply it to the top-level project headers
  * Contributors: Chris Lalancette, Dan Rose

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 10 Apr 2020 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.8.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.8.0-4resolute) resolute; urgency=high

  * Alternate approach to avoiding cppcheck 1.88 (#175 <https://github.com/ament/ament_lint/issues/175>)
    This approach does not require cppcheck to be present at build time.
  * avoid cppcheck version 1.88 due to performance issues (#168 <https://github.com/ament/ament_lint/issues/168>)
    * avoid cppcheck version 1.88 due to performance issues
    * downgrade to status from warning when skipping
  * Contributors: Scott K Logan, William Woodall

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 17 Sep 2019 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.7.4-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 31 Jul 2019 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.7.3-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 09 May 2019 19:08:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.7.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 09 May 2019 14:30:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.7.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 May 2019 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.7.0-4resolute) resolute; urgency=high

  * use globally defined varible for cppcheck include dirs (#125 <https://github.com/ament/ament_lint/issues/125>)
    * use globally defined varible for cppcheck include dirs
    * update docblock
    period
  * Contributors: Karsten Knese

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 11 Apr 2019 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.6.3-4resolute) resolute; urgency=high

  * Account for INTERFACE libraries when getting target include directories (#121 <https://github.com/ament/ament_lint/issues/121>)
    * Account for INTERFACE libraries when getting target include directories
    CMake does not allow getting the INCLUDE_DIRECTORIES property from
    INTERFACE libraries.
    Instead, first check if the property exists, if it does not then try to
    get the INTERFACE_INCLUDE_DIRECTORIES property.
    Note, if INTERFACE_INCLUDE_DIRECTORIES is not defined an empty list is
    returned, but we cannot assume the target is not an interface.
    This is why the implementation is conditional on INCLUDE_DIRECTORIES
    instead.
    * Use target type property as a condition on what include directories property to use
    * Increase cppcheck test timeout to 120s
  * Pass include paths to cppcheck (#117 <https://github.com/ament/ament_lint/issues/117>)
    * Use BUILDSYSTEM_TARGETS list for getting include directories
    * Only pass include directories that are subdirectories of the package being tested
    This eliminates the need for a longer test timeout and avoids cppcheck from testing external files.
    Reverted prior changes accordingly.
    * Handle case when cppcheck reports error in filename with arbitrary path
    * Add find_package and dependency tag for ament_cmake_core
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 14 Jan 2019 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.6.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 06 Dec 2018 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.6.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 15 Nov 2018 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.6.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Nov 2018 06:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.5.2-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Jun 2018 05:00:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.5.1-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 Jun 2018 18:47:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.5.0-4resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 Jun 2018 15:09:00 -0000

ros-lyrical-ament-cmake-cppcheck (0.4.0-4resolute) resolute; urgency=high

  * 0.0.3
  * 0.0.2
  * opt to pass the language through to cppcheck (#79 <https://github.com/ament/ament_lint/issues/79>)
    * opt to pass the language through to cppcheck
    * add explicit LANGUAGE argument
    * alpha ordering on arguments and typo
    * fixup
  * update schema url
  * add schema to manifest files
  * Merge pull request #56 <https://github.com/ament/ament_lint/issues/56> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Merge pull request #50 <https://github.com/ament/ament_lint/issues/50> from ament/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #41 <https://github.com/ament/ament_lint/issues/41> from ament/use_message_status
    avoid using message without STATUS
  * avoid using message without STATUS
  * Merge pull request #30 <https://github.com/ament/ament_lint/issues/30> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #29 <https://github.com/ament/ament_lint/issues/29> from ament/change_test_dependencies
    update documentation for linters
  * update documentation for linters
  * Merge pull request #27 <https://github.com/ament/ament_lint/issues/27> from ament/gtest_location
    add type as extension to test result files
  * add type as extension to test result files
  * add explicit build type
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * make use of python linter packages
  * move cmake part of ament_lint_cmake to ament_cmake_lint_cmake
  * move cmake part of ament_cppcheck to ament_cmake_cppcheck
  * Contributors: Dirk Thomas, William Woodall

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000


